#ifndef _WINC_BZLIB
#define _WINC_BZLIB

#include <bzlib.h>

#include <WXP/Buffer.h>

namespace WXP {
   class BZlib {
      int type;
      bool setup;
      bz_stream bz;
      int stat;

      public:
      BZlib();
      BZlib( int rtype );
      int init();
      int setIn( unsigned char *next_in, int avail_in );
      int setOut( unsigned char *next_out, int avail_out );
      int decomp();
      int decomp( Buffer &in, Buffer &out );
      int comp( int flag );
      int finish();
      int print();

      inline int getStatus(){ return stat; };
      inline int getAvailIn(){ return bz.avail_in; };
      inline int getAvailOut(){ return bz.avail_out; };
      inline int getTotalOut(){ return bz.total_out_lo32; };
      inline bool isError(){ return stat < 0 ? true : false; };
      
      static int const STREAM_END = BZ_STREAM_END;
      static int const OK = BZ_OK;

      enum { 
	 COMP,   /**< Compress mode */
	 DECOMP  /**< Decompress mode */
      };
   };
}
#endif
