#ifndef _WINC_BUFRDATA
#define _WINC_BUFRDATA

namespace WXP {
   struct BufrData {
      int maj;
      int min;
      char name[41];
      char unit[21];
      int type;
      char str[200];
      int data;
      float value;

      BufrData();
      int init();
      /** Gets parameter major number */
      inline int getMajor(){ return maj; }; 
      /** Gets parameter minor number */
      inline int getMinor(){ return min; }; 
      /** Gets parameter name */
      inline const char *getName(){ return name; }; 
      /** Gets parameter units */
      inline const char *getUnit(){ return unit; }; 
      /** Gets parameter type */
      inline int getType(){ return type; }; 
      /** Gets parameter string */
      inline const char *getStr(){ return str; }; 
      /** Gets parameter code */
      inline int getCode(){ return data; }; 
      /** Gets parameter number */
      inline int getNumber(){ return data; }; 
      /** Gets parameter value */
      inline float getValue(){ return value; }; 
      int print();

      enum Type {
         STRING,  /**< String data */
         NUMBER,  /**< Number data */
         VALUE,   /**< Value data */
         CODE,    /**< Code table index */
         FLAG,    /**< Flag data */
         LOOP,    /**< Loop indicator */
         MODIFY   /**< Modify indicator */
      };
   };
}
#endif
