#ifndef _WINC_CITYDATA
#define _WINC_CITYDATA

namespace WXP {
   class CityData {
      char name[21];            /* Name of city */ 
      char state[3];            /* State city is located */
      char region[3];           /* Region/country city is located */
      char id[10];              /* ICAO identifier */
      int prior;                /* Station priority */
      float lat,lon;            /* Latitude and longitude of the station */
      float el;                 /* Station elevation above sea level */
      char wmo[6];              /* 5 digit WMO identifier */
      int num;                  /* Number of occurrences */
      
      public:
      CityData();
      int init();
      /** Gets the station identifier */
      inline const char *getId(){ return id; };
      /** Gets the station name */
      inline const char *getName(){ return name; };
      /** Gets the station state/localle */
      inline const char *getState(){ return state; };
      /** Gets the station region/country */
      inline const char *getRegion(){ return region; };
      /** Gets the station WMO number */
      inline const char *getWmo(){ return wmo; };
      /** Gets the station latitude */
      inline float getLat(){ return lat; };
      /** Gets the station longitude */
      inline float getLon(){ return lon; };
      /** Gets the station elevation */
      inline float getElev(){ return el; };
      /** Gets the station priority */
      inline int getPrior(){ return prior; };
      /** Gets the station index number */
      inline int getNum(){ return num; }
      int printLine();
      int print();

      friend class CityFile;
   };
}
#endif
