#ifndef _WINC_CITYHASH
#define _WINC_CITYHASH

#include <WXP/CityHashData.h>
#include <WXP/Domain.h>
#include <WXP/Hash.h>

namespace WXP {
   class CityHash {
      Hash hash;
      int prior;
      
      public:
      CityHash( const char *file, Domain &domain, int prior );
      CityHash( const char *file );
      CityHash();
      ~CityHash();
      int init();
      int setup( const char *file, Domain &domain, int prior );
      int setup( const char *file );
      int get( const char *id, CityHashData &data );
      int get( int ind, const char *id, CityHashData &data );
      int first();
      const char *nextKey();
      /** Returns number of stations in hash */
      inline int getNum(){ return hash.getNum(); };  
      int print();
      int printData();
   };
}   
#endif
