#ifndef _WINC_CITYHASHDATA
#define _WINC_CITYHASHDATA

#include <WXP/CityData.h>

namespace WXP {
   struct CityHashData {
      CityData city;	/**< CityData class */
      int size;         /**< Size of data segment (see ptr) */
      void *ptr;        /**< Pointer to user specific data */

      /** Returns identifier */
      inline const char *getName(){ return city.getName(); };  
      /** Returns identifier */
      inline const char *getId(){ return city.getId(); };  
      /** Returns WMO identifier */
      inline const char *getWmo(){ return city.getWmo(); };  
      /** Returns state */
      inline const char *getState(){ return city.getState(); }; 
      /** Returns region */
      inline const char *getRegion(){ return city.getRegion(); }; 
      /** Returns latitude */
      inline float getLat(){ return city.getLat(); };  
      /** Returns longitude */
      inline float getLon(){ return city.getLon(); };  
      /** Returns priority */
      inline int getPrior(){ return city.getPrior(); };  
      int print();
   };
  
}
#endif

