#ifndef _WINC_COLORMAP
#define _WINC_COLORMAP

#include <WXP/Color.h>
#include <WXP/RGB.h>

namespace WXP {
   class ColorMap {
      Color *colors;
      int num;
      int max;
      int num_fill;
      public:
      
      ColorMap();
      ColorMap( int size );
      ColorMap( const ColorMap &color );
      ColorMap& operator=( const ColorMap &color );
      ~ColorMap();
      int init( int size );
      int init();
      int set( const ColorMap &color );
      int add( const char *name, float red, float grn, float blu );
      int add( const char *name, RGB &rgb );
      /** Gets the maximum number of colors allowed in colormap. */
      int getMax( ) { return max; };
      /** Gets the number of allocated colors. */
      int getNum( ) { return num; };
      int getInd( const char *name );
      const char *getName( int ind );
      int get( int ind, RGB &rgb );
      int getRGB( int ind, float &red, float &grn, float &blu );
      int getIRGB( int ind, int &red, int &grn, int &blu );
      int setValue( int ind, int val );
      int getValue( int ind );
      int getValue( const char *name );
      /** Gets the number of colors used in color fill. */
      int getNumFill() { return num_fill; };
      bool isColorNear( int ind, RGB &rgb );
      
      int setNumFill( int nfill );
      int print();
      
      static const int BACK = -1;   /**< Special index for background color */
      static const int OFF = -1;    /**< Special index for no color */
      static const int END = -2;    /**< Special index for end of colors */
      /** Is a valid color */
      static inline bool isColor( int a ){ return (a >= 0); } 
   };
}

#endif
