#ifndef _WINC_DATUMATTR
#define _WINC_DATUMATTR

#include <WXP/PlotAttr.h>

namespace WXP {
   class DatumAttr {
      int type;
      float scale;
      float dx, dy;
      int halign, valign;
      float weight;
      float height;
      float width;
      float expan;
      int shadow;
      int marker;
      float min, max;
      int skip;
      char form[10];
      char color[20];
      char font[120];
      char symbol[40];
      char resrc[20];

      public:
      DatumAttr();
      int init();
      int set( PlotAttr &pattr );
      int set( const char *str );
      int setType( int rtype );
      int setColor( const char *col );
      int setFont( const char *fnt );
      int setSymbol( const char *symb );
      int setMarker( int rmarker );
      int setFormat( const char *str );
      int setResrc( const char *res );
      int parse( const char *str );
      int print();

      /** Returns plot type */
      inline int getType(){ return type; };
      /** Returns scale factor */
      inline float getScale(){ return scale; };
      /** Returns Dx offset to plot data */
      inline float getDx(){ return dx; };
      /** Returns Dy offset to plot data */
      inline float getDy(){ return dy; };
      /** Returns height of plotted data */
      inline float getHeight(){ return height; };
      /** Returns width of plotted data */
      inline float getWidth(){ return width; };
      /** Returns horizontal alignment */
      inline int getHalign(){ return halign; };
      /** Returns vertical alignment */
      inline int getValign(){ return valign; };
      /** Returns marker type */
      inline int getMarker(){ return marker; };
      /** Returns text formatting */
      inline const char *getForm(){ return form; };
      /** Returns color value */
      inline const char *getColor(){ return color; };
      /** Returns plot symbol */
      inline const char *getSymbol(){ return symbol; };
      /** Returns text font */
      inline const char *getFont(){ return font; };

      friend class DatumPlot;
   };
}   
#endif
