#ifndef _WINC_ENHANCE
#define _WINC_ENHANCE

#include <WXP/ColorMap.h>

namespace WXP {
   class Enhance {
      char name[20];
      int *index;
      float *value;
      int type;
      int ind;
      int num;
      int max;

      int initClass();
      public:
   
      Enhance();
      Enhance( const Enhance &enh );
      Enhance( ColorMap &colormap, const char *str );
      ~Enhance();
      Enhance operator=( const Enhance &enh );
      int init();
      int getNum();
      int set( const Enhance &enh );
      int set( ColorMap &colormap, const char *str );
      int readFile( ColorMap &colormap, const char *file );
      int validateValues();
      int decode( ColorMap &colormap, const char *str );
      int setIndex( int ind, int rindex );
      int getIndex( int ind );
      float getValue( int ind );
      int getIndex( float rvalue );
      int getColor( float rvalue );
      /** Is enhancement based in image index value */
      inline bool isIndex(){ return type == INDEX; };
      /** Is enhancement based in image value */
      inline bool isValue(){ return type == VALUE; };
      /** Returns fill name for annotation */
      inline const char *getName(){ return name; };
      int print();
   
      enum Type { INDEX, VALUE };
   };
} 
#endif
