#ifndef _WINC_FILETOOL
#define _WINC_FILETOOL

#include <stdio.h>

#include <WXP/String.h>

namespace WXP {
   class FileTool {
      static size_t curl_write( char *buffer, size_t size, size_t nitems, 
	    void *userp);
      static size_t curl_header( char *buffer, size_t size, size_t nitems, 
	    void *userp);

      public:
      static bool isFullPath( const char *filename );
      static int addPath( const char *path, const char *file, String &filename );
      static int checkPath( const char *path, const char *file );
      static int addOutPath( const char *path, const char *file, String &filename );
      static int numPath( const char *path );
      static int getPath( const char *path, int ind, String &spath );
      static int addPathDelim( String &path );
      static int addUserPath( const char *file, String &filename );
      static bool exist( const char *file );
      static bool isStdio( const char *file );
      static bool isDir( const char *file );
      static bool isFile( const char *file );
      static bool isFifo( const char *file );
      static bool isDevice( const char *file );
      static int getSize( const char *file );
      static int getModTime( const char *file );
      static int remove( const char *file );
      static int makeDir( const char *dir, int flag );
   };
}
#endif
