#ifndef _WINC_FLOATARRAY
#define _WINC_FLOATARRAY

#include <WXP/Const.h>

namespace WXP {
   class FloatArray {                /* Coordinate data structure */
      int num;
      int max;
      int ind;
      float *vals;     /**< Values array */
   
      public:
      int init();
      int init( int size );
      FloatArray();
      FloatArray(int size);
      ~FloatArray();
      FloatArray( const FloatArray &data );
      FloatArray operator=( const FloatArray &data );
      int copy( const FloatArray &data );
      /** Clear the array */
      inline int clear(){ num = 0; return 1; };
      int expand( int size );
      int add( float rval );
      /** Adds a value (no bounds check) */
      inline int add1( float rval ){ 
	 vals[num] = rval; num++; return 1; };
      int set( int ind, float rval );
      int get( int ind, float &rval );
      float get( int ind );
      /** Return the number of points */
      inline int getNum() { return num; };
      int offset( int ind, float rval );
      int print();
   };
}
#endif
