#ifndef _WINC_GTRAN
#define _WINC_GTRAN

#include <WXP/Coords.h>
#include <WXP/Point.h>
#include <WXP/Points.h>
#include <WXP/Rect.h>

namespace WXP {
   class GTran {
      Coords plt;             /* The plot coordinates */
      Coords ndc;             /* The normalized device coordinates */
      Point wn_vp;        /* Transformation from window to viewport */
      Point vp_plt;       /* Transformation from viewport to plot */
      Coords wn;              /* The transformation window */
      Coords vp;              /* The transformation window */
      Rect clip_rect;         /* Transformation from viewport to plot */
   
      public:
      GTran();
      GTran(Rect rect);
      ~GTran();
      int set(Rect rect);
      int resize(Rect rect);
      float tranWindowNdcX( float x );
      float tranWindowNdcY( float y );
      float tranWindowPlotX( float x );
      float tranWindowPlotY( float y );
      float tranPlotNdcX( float x );
      float tranPlotNdcY( float y );
      float tranPlotWindowX( float x );
      float tranPlotWindowY( float y );
      float tranNdcPlotX( float x );
      float tranNdcPlotY( float y );
      Rect getClipRect();
      bool isPointsInWindow( int num, Point *pts );
      bool isPointsInWindow( Points &pts );
      int getWindow( Rect &rect );
      Rect getWindow();
      int getViewport( Rect &rect );
      Rect getViewport();
      int getNdc( Rect &rect );
      Rect getNdc();
      int setWindow( Rect rect );
      int setViewport( Rect rect );
      int print();
   
      static float tranWindowX( GTran gtran1, GTran gtran2, float x);
      static float tranWindowY( GTran gtran1, GTran gtran2, float y);
   };
}   
#endif
