#ifndef _WINC_GINIFILE
#define _WINC_GINIFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Image.h>
#include <WXP/Zlib.h>

namespace WXP {
   class GiniFile {
      int ver;
      int type;
      File file;
      bool opened;
      Date date;
      Zlib zs;
      Buffer in;
      Buffer buf;
   
      public:
      GiniFile();
      GiniFile( const char *filename, int rtype );
      ~GiniFile();
      int init();
      int open( const char *filename, int rtype );
      bool isOpen();
      int rewind();
      int close();
      int getHeader( Image &data );
      int read( Image &data );
      int readHeader( Image &data );
      int readData( Image &data );
      /*
         Satellite types
      */
      enum Type {
         UNK,
         GINI,
         GINIZ
      };
   };
}   
#endif
