#ifndef _WINC_GRAPHATTR
#define _WINC_GRAPHATTR

namespace WXP {
   /** \struct WXP::GraphAttr GraphAttr.h "../include/GraphAttr.h"
    *  \brief This defines some basic graphics attributes
    *
    *  \author Dan Vietor 
    *  \ingroup Utility
    */
   struct GraphAttr {
      static const int HALIGN_NORMAL   = 0;
      static const int HALIGN_LEFT     = 1;
      static const int HALIGN_CENTER   = 2;
      static const int HALIGN_RIGHT    = 3;
   
      static const int VALIGN_NORMAL   = 0;
      static const int VALIGN_TOP      = 1;
      static const int VALIGN_CAP      = 2;
      static const int VALIGN_HALF     = 3;
      static const int VALIGN_BASE     = 4;
      static const int VALIGN_BOTTOM   = 5;
   
      /** Marker type */
      static const int MARK_NONE     = 0;
      static const int MARK_POINT    = 1;
      static const int MARK_PLUS     = 2;
      static const int MARK_STAR     = 3;
      static const int MARK_O        = 4;
      static const int MARK_CIRCLE   = 4;
      static const int MARK_X        = 5;
      static const int MARK_SQUARE   = 6;
      static const int MARK_TRIANGLE = 7;
      static const int MARK_DOT      = 8;
      static const int MARK_INVTRIANGLE = 9;
      static const int MARK_LIGHT    = 10;
   
      static const int VIEW_HLEFT   = 1;
      static const int VIEW_HCENTER = 2;
      static const int VIEW_HRIGHT  = 3;
   
      static const int VIEW_VBOTTOM = 1;
      static const int VIEW_VCENTER = 2;
      static const int VIEW_VTOP    = 3;
   
      static const int IMAGE_HLEFT   = 1;
      static const int IMAGE_HCENTER = 2;
      static const int IMAGE_HRIGHT  = 3;
   
      static const int IMAGE_VBOTTOM = 1;
      static const int IMAGE_VCENTER = 2;
      static const int IMAGE_VTOP    = 3;
   
      static const int TRAN_MAX  = 0;
      static const int TRAN_PLOT = 1;
   
      static const int CURSOR_X    = 0;
      static const int CURSOR_PTR  = 1;
      static const int CURSOR_MOVE = 2;
      static const int CURSOR_LOOP = 3;
      static const int CURSOR_STOP = 4;
      static const int CURSOR_DRAW = 5;
      static const int CURSOR_RECT = 6;
      static const int CURSOR_PLUS = 6;
      static const int CURSOR_TEXT = 7;
      static const int CURSOR_WAIT = 8;
   };
}     
#endif
