#ifndef _WINC_GRIDPLOT
#define _WINC_GRIDPLOT

#include <WXP/Date.h>
#include <WXP/Domain.h>
#include <WXP/Drawing.h>
#include <WXP/Filename.h>
#include <WXP/Grid.h>
#include <WXP/GridCont.h>
#include <WXP/GridRead.h>
#include <WXP/GridVect.h>
#include <WXP/Listener.h>
#include <WXP/ModelSpec.h>
#include <WXP/Plot.h>
#include <WXP/String.h>
#include <WXP/Timezone.h>
#include <WXP/VarNameItem.h>

namespace WXP {
   class GridPlot : public Drawing, public Listener {
      char model[20];
      bool map;
      int sync;
      ModelSpec mspec;
      Filename filename;
      String param_str;
      String color_table;
      String color_fill;
      String time;
      String level;
      String variable;
      GridCont gplot;
      GridVect vplot;
      GridRead gread;
      Grid grid;
      Timezone tz;
      int map_fill;
   
      public:
      GridPlot();
      GridPlot( const char *param );
      int init();
      int setParam( const char *str );
      int setPath( const char *str ); 
      int setFile( );
      int setInput( const char *type ); 
      int setNameConv( const char *name ); 
      int setHour( const char *str );
      int setFilename( ); 
      int setFilename( const char *str );
      int setFilename( Date &date );
      int setFilename( Date &date, const char *param );
      int setForeTime( const char *fore );
      int getDate( Date &date );
      int getInitDate( Date &date );
      int getDateOffset();
      int getLoopType();
      int getNumFrames();
      int setModel( const char *str );
      inline int setMap( bool val ){ map = val; return 1; };
      void callback( const char *ev_str, const char *ev_data, const void *data );
      int setColorTable( const char *str );
      int setColorFill( const char *str );
      int setVariable( const char *str );
      inline bool isTypeFill(){ return gplot.isTypeFill(); };
      inline int setMapFill( int val ){ map_fill = val; return 1; };
      int getDomain( Domain &domain );
      inline int getSync(){ return sync; };
      int draw( Plot &plot, Grid &grid );
      int draw( Plot &plot );
      int print();
   };
}   
#endif
