#ifndef _WINC_GRIDREAD
#define _WINC_GRIDREAD

#include <WXP/Filename.h>
#include <WXP/GribFile.h>
#include <WXP/Grid.h>
#include <WXP/Grids.h>
#include <WXP/GridFile.h>
#include <WXP/GridSpec.h>
#include <WXP/ModelSpec.h>

namespace WXP {
   class GridRead {
      GribFile grib;
      GridFile gfile;

      public:
      GridRead();
   
      int init();
      int setParam( const char *params );
      int setMissValue( float val );
      int read( ModelSpec &mspec, Date &date, GridSpec &gs, Grid &grid );
      int read( const char *model, Date &date, Grids &grids );
      int read( const char *model, Date &date, const char *spec, Grid &grid );
      int read( Filename &file, Grids &grids );
      int read( const char *file, Grids &grids );
      int read( Filename &filename, ModelSpec &mspec, GridSpec &gspec, Grid &grid );
   };
}   
#endif

