#ifndef _WINC_GRIDVECT
#define _WINC_GRIDVECT

#include <WXP/Date.h>
#include <WXP/Domain.h>
#include <WXP/Drawing.h>
#include <WXP/Filename.h>
#include <WXP/Grid.h>
#include <WXP/GridRead.h>
#include <WXP/Listener.h>
#include <WXP/ModelSpec.h>
#include <WXP/Plot.h>
#include <WXP/String.h>
#include <WXP/VectPlot.h>

namespace WXP {
   class GridVect : public Drawing, public Listener {
      char model[20];
      int map;
      int vbar;
      int label;
      int sync;
      ModelSpec mspec;
      Filename filename;
      String grid_spec;
      VectPlot vect;
      GridRead gread;
      Grid ugrid, vgrid;
   
      public:
      GridVect();
      GridVect( const char *param );
      int init();
      int setParam( const char *str );
      int setFile( );
      int setInput( const char *type ); 
      int setNameConv( const char *name ); 
      int setFilename( ); 
      int setFilename( const char *str );
      int setFilename( Date &date );
      int setFilename( Date &date, const char *param );
      inline int setForeTime( const char *fore ){ return 1; };
      int getDomain( Domain &domain );
      int getDate( Date &date );
      int getInitDate( Date &date );
      int getDateOffset();
      int getLoopType();
      int getNumFrames();
      int setModel( const char *str );
      void callback( const char *ev_str, const char *ev_data, const void *data );
      inline int setMap( bool val ){ map = val; return 1; };
      inline int setLabel( int val ){ label = val; return 1; };
      int setColorTable( const char *str );
      int setColorFill( const char *str );
      inline float getMax(){ return vect.getMax(); };
      inline int getSync(){ return sync; };
      int draw( Plot &plot, Grid &grid1, Grid &grid2 );
      int draw( Plot &plot );
      int print();
   };
}   
#endif
