#ifndef _WINC_GRIDWXPFILE
#define _WINC_GRIDWXPFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Grid.h>

namespace WXP {
   class GridWxpFile {
      File file;              /* The grid files */
      int access;
      Date date;               /* The date time information */
      int  ver;                /* The version of grid file */
      int  type;               /* The type of grid file */
      char format[15];
      bool opened;

      public:
      enum Type {
	 UNK,
         WXP,
         WXPB,
         WXPO };
   
      GridWxpFile();
      GridWxpFile( const char *filename );
      GridWxpFile( const char *filename, int access, int type);
      ~GridWxpFile();
   
      int init();
      int open( const char *filename, int access, int type);
      int open( const char *filename );
      int setVer( int v );
      bool isOpen();
      int close();
      int setFormat( const char *rform );
      int read( Grid &grid );
      int read( const char *filename, int type, Grid &grid );
      int readHdr( Grid &grid );
      int readData( Grid &grid );
      int write( Grid &grid );
      int write( const char *filename, int type, Grid &grid );
   };
}   
#endif
