#ifndef _WINC_GRIDS
#define _WINC_GRIDS

#include <WXP/Domain.h>
#include <WXP/DomainVal.h>
#include <WXP/EarthPoint.h>
#include <WXP/FloatArray.h>
#include <WXP/Grid.h>
#include <WXP/GridPoint.h>
#include <WXP/GridSpec.h>
#include <WXP/VarSpec.h>

namespace WXP {
   class Grids {
      GridSpec *gs;
      Grid *grd;
      int *flag;
      int num;
      int max;

      int initClass();

      public:
      Grids();
      Grids( int rmax );
      ~Grids();

      int setSize( int rmax );
      int resize( int rmax );
      int init();
      int setNum( int val );
      int getNum();
      int addSpec( const GridSpec &spec );
      int addSpec( const char *str );
      int setSpec( int ind, const GridSpec &spec );
      int setSpec( int ind, const char *str );
      int getSpec( int ind, GridSpec &spec );
      GridSpec getSpec( int ind );
      int getVarSpec( int ind, VarSpec &spec );
      VarSpec getVarSpec( int ind );
      int addGrid( const Grid &grid );
      int setGrid( int ind, const Grid &grid );
      int getGrid( int ind, Grid &grid );
      DomainVal getDomainVal( int ind );
      Domain getDomain( int ind );
      int getProj( int ind );
      int setDomain( Domain &rdom );
      int allocData();
      int setDate( Date &date );
      int setDate( int ind, Date &date );
      int setDatim( const char *str );
      int setDatim( int ind, const char *str );
      int setInfo( int ind, const char *str );
      int setVar( int ind, VarSpec &vspec );
      const char *getSpecUnits( int ind );
      bool isSet( int ind );
      bool isVarSet( int ind );
      bool isVarSet();
      int getNumSet();
      int setValue( int ind, int i, int j, float val );
      float getValue( int ind, int i, int j );
      float getValue( int ind, GridPoint &gpt );
      float getValue( int ind, EarthPoint &ept );
      int getValue( EarthPoint &ept, FloatArray &flt );
      int equal( GridSpec &spec );
      bool equal( int ind, GridSpec &spec );
      int print();
      int print( int ind );
      int printStats();
      int printData();
   };
}
#endif
