#ifndef _WINC_HODOPLOT
#define _WINC_HODOPLOT

#include <WXP/Date.h>
#include <WXP/Domain.h>
#include <WXP/Drawing.h> 
#include <WXP/Filename.h>
#include <WXP/Listener.h>
#include <WXP/Plot.h>
#include <WXP/UpaData.h>

namespace WXP {
   class HodoPlot : public Drawing, public Listener {
      int type;
      int refresh;
      int sync;
      Filename filename; 

      public:
      HodoPlot();
      int init();
      int setParam( const char *str );
      int setFile();
      int setInput( const char *type );
      int setNameConv( const char *name );
      int setFilename();
      int setFilename( const char *name );
      int setFilename( Date &date );
      int setFilename( Date &date, const char *param );
      inline int setForeTime( const char *fore ){ return 1; };
      int promptId();
      int getDate( Date &date );
      int getInitDate( Date &date );
      int getDateOffset();
      int getLoopType();
      int getNumFrames();
      int getDomain( Domain &domain );
      inline int getSync(){ return sync; };
      int draw( Plot &plot );
      int draw( Plot &plot, UpaData &data );
      void callback( const char *ev_str, const char *ev_data, const void *data );
      int print();

   };
}
#endif
