#ifndef _WINC_HURFILE
#define _WINC_HURFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Filename.h>
#include <WXP/HurData.h>

namespace WXP {
   class HurFile {
      File ifile;
      Date date;
      int header;
      char wmo[20];
      int locate;

      public:
      HurFile();
      int init();
      int open( const char *file );
      int open( Filename &file );
      inline bool isOpen(){ return ifile.isOpen(); };
      int close();
      inline int setDate( Date &rdate ){ date = rdate; return 1; };
      int read( HurData &data );
      int getStorm();
      int nextWord( char *str );
      int nextNumber( char *str );
      int parseAdvisory( HurData &data );
      int parseForecast( HurData &data );
      int parseDiscussion( HurData &data );
      int parseWarning( HurData &data );
      int cleanNum( char *str );
      int getOff( char *str );

   };
}
#endif
