#ifndef _WINC_HURPOS
#define _WINC_HURPOS

#include <WXP/Date.h>

namespace WXP {
   class HurPos {
      int locate;
      char name[20];
      char num[10];
      Date date;
      float lat, lon;
      float wind;
      float pres;
      int level;
      int type;

      public:

      enum Loc {
	 NONE,
	 ATL,
	 EPA,
	 CPA,
	 WPA,
	 SPA,
	 NIO,
	 SIO
      };

      enum StormLevel {
	 UNK,
	 WAVE,
	 DEPRESS,
	 STORM,
	 STORM1,
	 STORM2,
	 STORM3,
	 STORM4,
	 STORM4S,
	 STORM5 
      };

      enum StormType {
	 TROP,
	 POSTTROP,
	 SUBTROP,
	 EXTRATROP
      };

      HurPos();
      int init();
      int getSeason();
      inline int getLevel(){ return getLevel( wind ); };
      inline const char *getType(){ return getType( type, level ); };
      int print();

      static int getLevel( float spd );
      static const char *getLoc( int locate );
      static const char *getLocAbbr( int locate );
      static const char *getType( int type, int level );
      static int getType( const char *str );
      static const char *getTypeAbbr( int type );
      static const char *getLevelAbbr( int type );
      static const char*getLabel( int locate, int type, int level );

      friend class HurData;
      friend class HurFore;
      friend class HurFile;
      friend class HurWxpFile;
      friend class HurStorm;
      friend class HurStorms;
      friend class HurPlot;
   };

}
#endif
