#ifndef _WINC_HURSTORM
#define _WINC_HURSTORM

#include <WXP/EarthPoint.h>
#include <WXP/HurData.h>
#include <WXP/HurPos.h>

namespace WXP {
   class HurStorm {
      char name[20];
      int locate;
      int type;    // Overall storm type
      int level;   // Overall storm level
      HurPos adv[200];
      int num_adv;
      static const int max_adv = 200;
      HurPos fore[10];
      int num_fore;
      char disc_file[120];
      int disc_beg;
      int disc_end;
      char fore_file[120];
      int fore_beg;
      int fore_end;

      public:
      HurStorm();
      int init();
      inline const char* getName(){ return name; };
      int setName(const char *rname);
      inline int setLoc(int val){ locate = val; return 1; };
      inline const char* getLoc(){ return HurPos::getLoc(locate); };
      inline int getLocation(){ return locate; };
      inline int getDate( Date &rdate ){ rdate = adv[0].date; return 1; };
      inline int getSeason(){ return adv[0].getSeason(); };
      const char *getStartDate();
      const char *getEndDate();
      float getMaxWind();
      float getLastWind();
      float getMinPres();
      float getLastPres();
      inline int getNumAdv(){ return num_adv; };
      int getLevel( int ind );
      const char *getLastType();
      const char *getMaxType();
      const char *getType( int ind );
      int getPosition( int ind, EarthPoint &ept );
      inline int getNumFore(){ return num_fore; };
      int getForeLevel( int ind );
      int getForePosition( int ind, EarthPoint &ept );
      int update( HurData &rfore );
      inline int clear(){ init(); return 1; };
      int sort();
      int print();
      int printTable();
      int printAll();

      friend class HurStorms;
      friend class HurWxpFile;
   };
}
#endif
