#ifndef _WINC_HURSTORMS
#define _WINC_HURSTORMS

#include <WXP/Const.h>
#include <WXP/HurStorm.h>

namespace WXP {
   class HurStorms {                /* Coordinate data structure */
      int num;
      int max;
      int ind;
      HurStorm *storms;     /**< Array of storms */
      int initClass();
   
      public:
      int init();
      int init( int size );
      HurStorms();
      HurStorms(int size);
      ~HurStorms();
      HurStorms( const HurStorms &data );
      HurStorms operator=( const HurStorms &data );
      int copy( const HurStorms &data );
      /** Clears the array */
      inline int clear(){ num = 0; return 1; };
      int expand( int size );
      int add( int location, const char *data );
      int add( HurStorm &storm );
      int update( HurStorm &storm );
      int set( int ind, HurStorm &storm );
      int get( int ind, HurStorm &storm );
      HurStorm get( int ind );
      inline int getNum() { return num; };
      bool checkLocation( int locate );
      int getInd( const char *name, int locate );
      int getLocation( int ind );
      int searchNew( HurData &data );
      int update( HurData &data );
      int sortDate();
      int print();
      int printAll();
   };
}
#endif
