#ifndef _WINC_IMGWXPFILE
#define _WINC_IMGWXPFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Image.h>

namespace WXP {
   class ImgWxpFile {
      int type;
      int dtype;
      int ver;
      int access;
      File file;
      Date date;
      bool opened;
   
      public:
      enum Type {
         UNK,	/**< Unknown type */
         IMG,	/**< Uncompressed WXP image */
         IMGZ,	/**< Compressed WXP image */
      };
   
      ImgWxpFile();
      int setVer( int v );
      int open( const char *filename, int raccess, int rtype );
      int open( const char *filename, int raccess );
      int open( const char *filename );
      bool isOpen();
      int close();
      int read( Image &image );
      int readHeader( Image &image );
      int readData( Image &image );
      int read( const char *filename, Image &image );
      int write( Image &image );
      int write( const char *filename, int rtype, Image &image );
   };
}   
#endif
