#ifndef _WINC_LIGHTFILE
#define _WINC_LIGHTFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/LightData.h>
#include <WXP/Swap.h>

namespace WXP {
   class LightFile {
      int type;
      int num;
      File file;
      unsigned char pch,ch;
      unsigned char buf[10];
      int tcnt;
      Date sdate;

      Date date;
      Swap swap;
      int num_flash;
      int tot_flash;
      bool opened;
      public:

      LightFile();
      LightFile( const char *filename, int rtype );
      int init();
      int open( const char *filename, int rtype );
      bool isOpen();
      int close();
      int read( LightData &data );

      static int getType( const char *str );

      /** File type */
      enum Type {
         UNK,    /**< Unknown type */
         ALBANY, /**< SUNY Albany format */
         UNISYS, /**< Unisys ASCII format */
         KAV,    /**< Kavouras format */
         NOAA,   /**< NOAAPORT format */
         GAIS,   /**< GAIS binary format */
         GAI_ASC,/**< GAIS ASCII format */
	 USPLN,  /**< USPLN ASCII format */
	 USPLNT, /**< Old USPLN Text format */
	 USPLNB, /**< USPLN binary format */
         VAISALA_ASC /**< Vaisala ASCII format */
      };
   };
}
#endif

