#ifndef _WINC_MAPFILEHEADER
#define _WINC_MAPFILEHEADER

#include <WXP/StrLib.h>

namespace WXP {
   struct MapFileHeader {
      int num;      /**< The number of points in each segment */
      float minlat; /**< The minimum latitude in segment */
      float maxlat; /**< The maximum latitude in segment */
      float minlon; /**< The minimum longitude in segment */
      float maxlon; /**< The maximum longitude in segment */
      int index;    /**< Index for database */
      char label[50]; /**< Label for segment */

      /** Set the number of data points */
      inline int setNum( int val ){ num = val; return 1; };
      /** Get the number of data points */
      inline int getNum(){ return num; };
      /** Set the minimum latitude of segment */
      inline int setMinLat( float val ){ minlat = val; return 1; };
      /** Get the minimum latitude of segment */
      inline float getMinLat(){ return minlat; };
      /** Set the maximum latitude of segment */
      inline int setMaxLat( float val ){ maxlat = val; return 1; };
      /** Get the maximum latitude of segment */
      inline float getMaxLat(){ return maxlat; };
      /** Set the minimum longitude of segment */
      inline int setMinLon( float val ){ minlon = val; return 1; };
      /** Get the minimum longitude of segment */
      inline float getMinLon(){ return minlon; };
      /** Set the maximum longitude of segment */
      inline int setMaxLon( float val ){ maxlon = val; return 1; };
      /** Get the maximum longitude of segment */
      inline float getMaxLon(){ return maxlon; };
      /** Set the database index */
      inline int setIndex( int val ){ index = val; return 1; };
      /** Get the database index */
      inline int getIndex(){ return index; };
      /** Get the segment label */
      inline int setLabel( const char *lab ){ return StrLib::copy( label, 50, lab ); };
      inline const char *getLabel(){ return label; };

      int init();
      int print();

      friend class MapFile;
   };
}
#endif

