#ifndef _WINC_METAPLOT
#define _WINC_METAPLOT

#include <WXP/Date.h>
#include <WXP/Domain.h>
#include <WXP/Drawing.h>
#include <WXP/Filename.h>
#include <WXP/Listener.h>
#include <WXP/Plot.h>

namespace WXP {
   class MetaPlot : public Drawing, public Listener {
      Filename filename;
      int sync;

      public:
      MetaPlot();
      MetaPlot( const char *str );
      int init();
      int setParam( const char *str );
      int setFile();
      int setInput( const char *str );
      int setNameConv( const char *name );
      int setFilename();
      int setFilename( const char *str );
      int setFilename( Date &date );
      int setFilename( Date &date, const char *param );
      inline int setForeTime( const char *fore ){ return 1; };
      int getDate( Date &date );
      int setPlot( Plot &plot );
      int getDomain( Domain &domain );
      int getInitDate( Date &date );
      int getDateOffset();
      int getLoopType();
      int getNumFrames();
      inline int getSync(){ return sync; };
      int draw( Plot &plot ); 
      void callback( const char *ev_str, const char *ev_data, const void *data );
      int print();
   };
}
#endif
