#ifndef _WINC_MISCPLOT
#define _WINC_MISCPLOT

#include <WXP/Date.h>
#include <WXP/Domain.h>
#include <WXP/Drawing.h>
#include <WXP/Filename.h>
#include <WXP/Listener.h>
#include <WXP/Plot.h>
#include <WXP/String.h>

namespace WXP {
   class MiscPlot : public Drawing, public Listener {
      Filename filename;
      String param;
      String color;
      int sync;

      public:
      MiscPlot();
      MiscPlot( const char *str );
      int init();
      int setParam( const char *str );
      int setFile();
      int setInput( const char *str );
      int setNameConv( const char *name );
      int setFilename();
      int setFilename( const char *str );
      int setFilename( Date &date );
      int setFilename( Date &date, const char *param );
      int getDate( Date &date );
      inline int setForeTime( const char *fore ){ return 1; };
      int getDomain( Domain &domain );
      int getInitDate( Date &date );
      int getDateOffset();
      int getLoopType();
      int getNumFrames();
      inline int getSync(){ return sync; };
      int setColor( const char *str );
      int draw( Plot &plot, const char *str ); 
      int draw( Plot &plot ); 
      void callback( const char *ev_str, const char *ev_data, const void *data );
      int print();
   };
}
#endif
