#ifndef _WINC_MOSGRID
#define _WINC_MOSGRID

#include <WXP/Date.h>
#include <WXP/Domain.h>
#include <WXP/Filename.h>
#include <WXP/Grids.h>
#include <WXP/ObjectAnal.h>
#include <WXP/MosRaw.h>
#include <WXP/String.h>

namespace WXP {
   class MosGrid {
      ObjectAnal oa;
      MosRaw mos;
      int grid_scale;
   
      public:
      MosGrid();
      MosGrid( const char *param );
      int init();
      int setParam( const char *str );
      int setPath( const char *path );
      int setFile();
      int setInput( const char *str );
      inline int setModel( const char *str ){ return mos.setModel( str );};
      int setNameConv( const char *name );
      int setHour( const char *str );
      inline int setForeTime( const char *fore ){ return mos.setForeTime( fore );};
      int setFilename();
      int setFilename( Date &date );
      int setFilename( const char *str );
      int setFilename( Date &date, const char *param );
      int setVariable( const char *str );
      int getDate( Date &date );
      int setDomain( Domain &rdomain );
      inline int setVarFile( const char *file ){ return mos.setVarFile( file ); };
      inline int createHash(){ return mos.createHash(); };
      inline int setPrior( Domain &domain ){ return mos.setPrior( domain ); };
      inline int getInfo( MosData &mosdata, Datum &datum ){ return mos.getInfo( mosdata, datum ); };
      int compute( Grids &grid );
      int print();
   };
}
#endif
