#ifndef _WINC_MOSRAW
#define _WINC_MOSRAW

#include <WXP/CityHash.h>
#include <WXP/Date.h>
#include <WXP/Datum.h>
#include <WXP/Domain.h>
#include <WXP/Filename.h>
#include <WXP/Raw.h>
#include <WXP/MosData.h>
#include <WXP/StatPrior.h>
#include <WXP/StrLib.h>
#include <WXP/String.h>

namespace WXP {
   class MosRaw {
      Filename filename;
      String variable;
      String var_file;
      char model[20];
      String time;
      char stat_prior[20];
      Domain domain;
      StatPrior prior;
      CityHash hash;
   
      public:
      MosRaw();
      MosRaw( const char *param );
      int init();
      int setParam( const char *str );
      int setPath( const char *path );
      int setFile();
      int setInput( const char *str );
      int setModel( const char *str );
      int setNameConv( const char *name );
      int setHour( const char *str );
      int setForeTime( const char *fore );
      int setFilename();
      int setFilename( Date &date );
      int setFilename( const char *str );
      int setFilename( Date &date, const char *param );
      inline int setStatPrior( const char *str ){ 
	 StrLib::copy( stat_prior, 20, str ); return 1; };
      int setVariable( const char *str );
      int getDate( Date &date );
      int setDomain( Domain &rdomain );
      int setVarFile( const char *file );
      inline int getDomain( Domain &rdomain ){ rdomain = domain; return 1; };
      int createHash();
      int setPrior( Domain &domain );
      int getInfo( MosData &mosdata, Datum &datum );
      int compute( Raw &data );
      int print();

      static int updateSpec( VarSpec &vs, ForeTime &f );
   };
}
#endif
