#ifndef _WINC_MOSUFILE
#define _WINC_MOSUFILE

#include <WXP/Date.h>
#include <WXP/Filename.h>
#include <WXP/MosUData.h>
#include <WXP/WmoParse.h>

namespace WXP {
   class MosUFile {
      int type;
      int model;
      WmoParse parse;
      Date date;
      Date pdate;
      bool opened;
      int pos;
      int off;
      int line;
   
      public:
      MosUFile();
      MosUFile( const char *filename, int type );
      MosUFile( const char *filename );
      MosUFile( Filename &filename, int type );
      MosUFile( Filename &filename );
      ~MosUFile();
      int init();
      int setModel( int mod );
      int setModel( const char *str );
      const char*getModel();
      int open( const char *filename, int type );
      int open( const char *filename );
      int open( Filename &filename, int type );
      int open( Filename &filename );
      int rewind( );
      int close( );
      /** Returns true if file open */
      inline bool isOpen(){ return opened; };
      int getDate( Date &rdate );
      int read( MosUData &data );
      int decodeNGM( const char *str, MosUData &data );
      int decodeETA( const char *str, MosUData &data );
      int decodeNAM( const char *str, MosUData &data );
      /** Returns the latest WMO header */
      inline const char *getWmo(){ 
	 return parse.getHeader(); };
   
      static const char*getModel( int mod );
      /*
         MOS types
      */
      enum Model { 
	 NONE,
	 NGM,
	 ETA,
	 NAM,
      };
      enum Type { 
	 UNK, 
	 WMO, 
	 BUFR, 
	 CDF 
      };
   };
} 
#endif
