#ifndef _WINC_NIDSRUN
#define _WINC_NIDSRUN

namespace WXP {
   /** \struct NidsRun NidsRun.h "../include/NidsRun.h"
    *  \brief This struct stores NIDS run length encoding 
    *   block header information
    *
    *  \author Dan Vietor
    *  \ingroup Data
    */
   struct NidsRun {
      int run;	    /**< The number of datapoints in run */
      int ival;	    /**< The integral value from NIDS file */
      float val;    /**< The derived value (from threshold) */

      /** Prints object data */
      inline int print(){ printf( "R: %d I: %d V: %.2f\n", run, ival, val ); return 1; };
   };
}
#endif
   
