#ifndef _WINC_NOWRADFILE
#define _WINC_NOWRADFILE

#include <WXP/Date.h>
#include <WXP/Domain.h>
#include <WXP/File.h>
#include <WXP/Image.h>
#include <WXP/NowradPacket.h>

namespace WXP {
   class NowradFile {
      File file;
      bool opened;
      
      unsigned char data[10];
      unsigned char pre;
      unsigned int num;
      
      
      unsigned int run;
      unsigned int col;
      unsigned int col_mask;
      int tot_run;
      
      char label[40];     /* Date time label */
      Date date;          /* Date time information */
      
      int height, width;
      Domain domain;      /* The domain of the image */
      public:

      NowradFile();
      int open( const char *name );
      bool isOpen();
      int rewind();
      int close();
      int readHeader();
      int readLine();
      int readPacket( NowradPacket &packet );
      int read( Image &image );
   };
   
}
#endif
