#ifndef _WINC_PLANET
#define _WINC_PLANET

#include <WXP/Date.h>
#include <WXP/EarthPoint.h>

namespace WXP {
   class Planet {
      char name[9];
      
      double jul;
      double sid;
      double x, y, z;
      double dist;
      double ra, dec;
   
      EarthPoint ept;
      double ha;
      double elev, elev_ref, azimuth;
   
      public:
      Planet();
      int setTime( Date &date );
      int setTime( double jd );
      int setLocate( EarthPoint &rpt );
      int setElevAz( EarthPoint &rpt );
      double getAzimuth();
      double getElevation();
      double getZenith();
      double getElevationRefract();
      double getRightAscension();
      double getDeclination();
      double getElevHour( int type, double relev );
      int getElevDate( Date &bdate, int type, double relev, Date &odate );
   
      static double getJulian( Date &date );
   };
}
#endif
