#ifndef _WINC_PLOTITEM
#define _WINC_PLOTITEM

#include <WXP/Drawing.h>

namespace WXP {
   
   /** \struct WXP::PlotItem PlotItem.h "../include/PlotItem.h"
    *  \brief This struct stores drawing objects used in complex plot
    *
    *  \author Dan Vietor
    *  \ingroup Utility
    */
   struct PlotItem {
      int panel;         /**< Panel number to plot to */
      int type;          /**< Type of plot */
      Drawing *drawing;  /**< Drawing object */
      const void *data;  /**< Additional data to setup object */
      PlotItem *next;    /**< Next item in linked list */

      enum { DRAWING, PANEL };
   };
}
#endif
