#ifndef _WINC_PNG
#define _WINC_PNG

#include <WXP/File.h>
#include <WXP/Image.h>

namespace WXP {
   class PngFile {
      File file;              /* The file */
      bool opened;
      int access;
      int width;              /* Width of image */
      int height;             /* Height of image */
      int depth;              /* Depth of image */
      int index;
      int use_inter;
      char title[40];
      char comment[1000];
   
      public:
      PngFile();
      ~PngFile();
      int init();
   
      PngFile( const char *filename, int access );
      int open( const char *filename, int access );
      bool isOpen();
      int close();
      int setInterlace( int val );
      int setTitle( const char *str );
      int setComment( const char *str );
      /*
         Decode routines
      */
      int read( Image &image );
      int read( const char *filename, Image &image );
      /*
         Encode routines
      */
      int write( Image &image );
      int write( const char *filename, Image &image );
   };
}
#endif
