#ifndef _WINC_RAWPLOT
#define _WINC_RAWPLOT

#include <WXP/Date.h>
#include <WXP/DatumPlot.h>
#include <WXP/Domain.h>
#include <WXP/Drawing.h>
#include <WXP/Filename.h>
#include <WXP/GridCont.h>
#include <WXP/Listener.h>
#include <WXP/Plot.h>
#include <WXP/RawGrid.h>
#include <WXP/Timezone.h>

namespace WXP {
   class RawPlot : public Drawing, public Listener {
      Filename filename;
      Domain gdomain;
      RawGrid rgrid;
      GridCont gplot;
      DatumPlot dplot;
      String variable;
      Timezone tz;
      char ptype[10];
      int map;
      int sync;
      float min, max;

      public:
      RawPlot();
      RawPlot( const char *param );
      int init();
      int setParam( const char *str );
      int setPath( const char *path );
      int setFile();
      int setNameConv( const char *type );
      int setHour( const char *str );
      int setInput( const char *str );
      int setFilename();
      int setFilename( const char *file );
      int setFilename( Date &date );
      int setFilename( Date &date, const char *param );
      inline int setForeTime( const char *fore ){ return 1; };
      inline int setMap( bool val ){ map = val; return 1; };
      int getDate( Date &date );
      int getInitDate( Date &date );
      int getDateOffset();
      int getLoopType();
      int getNumFrames();
      int getDomain( Domain &domain );
      inline int getSync(){ return sync; };
      int setColor( const char *str );
      int setVariable( const char *str );
      int setPlotType( const char *type );
      int setTimezone( const char *zone );
      int draw( Plot &plot );
      int draw( Plot &plot, const char *filename, const char *field, const char *param );
      int draw( Plot &plot, const char *filename );
      void callback( const char *ev_str, const char *ev_data, const void *data );
      int print();
   };
}
#endif
