#ifndef _WINC_RCMIMAGE
#define _WINC_RCMIMAGE

#include <WXP/Filename.h>
#include <WXP/Grid.h>
#include <WXP/Image.h>
#include <WXP/RcmData.h>

namespace WXP {
   class RcmImage { 
      int clear_air;
      int clutter;
      int ramp_prec_cut;
      int ramp_prec_len;
      int ramp_clar_cut;
      int ramp_clar_len;
      int num_sites;

      public:
      RcmImage();
      RcmImage( const char *str );
      int init();
      int reset();
      int setParam( const char *str );
      int useClearAirSites( int val );
      int addSite( Image &image, RcmData &data );
      int readFile( Filename &filename, Image &image );
      int applyMask(Image &image, Grid &mask);
      inline int getNumSites(){ return num_sites; };
      int print();
   };
}
#endif
