#ifndef _WINC_RCMWXPFILE
#define _WINC_RCMWXPFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Grid.h>
#include <WXP/Image.h>
#include <WXP/RcmData.h>

namespace WXP {
   class RcmWxpFile {
      int ver;
      int access;
      File file;
      Date date;
      bool opened;
      char line[200];
      int num;
   
      public:
      RcmWxpFile( );
      RcmWxpFile( const char *filename );
      RcmWxpFile( const char *filename, int access );
      ~RcmWxpFile( );
      inline bool isOpen(){ return opened; };
      int open( const char *filename, int raccess );
      int rewind( );
      int close( );
      int setDate( Date &rdate );
      int getDate( Date &rdate );
      int read( Grid &grid );
      int read( Image &image );
      int skipMosaic();
      int read( RcmData &data );
      int write( Image &image );
      int write( RcmData &data );
   
      static int checkType( const char *filename );
   };
}   
#endif
