#ifndef _WINC_RESRCFILE
#define _WINC_RESRCFILE

#include <WXP/File.h>
#include <WXP/Resrc.h>
#include <WXP/String.h>

namespace WXP {
   class ResrcFile {
      File file;      /* Resource file */
      char prog[30];
      char name[30];
      char tag[10][20];
      int num_tag;
      char match[10];
      int num_match;
      bool matches;
      bool opened;
   
      public:
      ResrcFile();
      ResrcFile( Resrc &resrc );
      ResrcFile( Resrc &resrc, const char *filename );
      ~ResrcFile( );
      bool isOpen();
      int init();
      int set( Resrc &resrc );
      int set( const char *rprog, const char *rname );
      int setTag( const char *str );
      /** Clears tag used in conditional processing of resources */
      inline int clearTag(){ num_tag = 0; return 1; };
      int open( const char *fname );
      int close();
      int get( String &resrc, String &value );
      int getValid( String &resrc, String &value );
      int compare( const char *resrc, const char *string );
      int valid( const char *string );
      int readFile( Resrc &resrc, const char *filename );

      static int parseName( const char *str, String &resrc );
   };
}   
#endif
