#ifndef _WINC_SATUNIFILE
#define _WINC_SATUNIFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Image.h>
#include <WXP/String.h>

namespace WXP {
   class SatUniFile {
      int ver;
      int type;
      File file;
      bool opened;
      Date date;
      String domain;
      String calib;
      int map;
      int blkwht;
   
      public:
      SatUniFile();
      SatUniFile( const char *filename, int rtype );
      ~SatUniFile();
      int init();
      int open( const char *filename, int rtype );
      bool isOpen();
      int rewind();
      int close();
      int getHeader( Image &data );
      int read( Image &data );
      int readHeader( Image &data );
      int readData( Image &data );
      inline int setMapRemove( int val ){ map = val; return 1; };
      inline int setBlackWhite( int val ){ blkwht = val; return 1; };
      inline int setDomain( const char *str ){ domain.set( str ); return 1; };
      int setCalibration( const char *str );
      /*
         Satellite types
      */
      enum Type {
         UNK,
         UNISYS,
      };
   };
}   
#endif
