#ifndef _WINC_SFCDECODE
#define _WINC_SFCDECODE

#include <WXP/Date.h>
#include <WXP/DateRange.h>
#include <WXP/Filename.h>
#include <WXP/SfcFile.h>
#include <WXP/SfcHash.h>

namespace WXP {
   class SfcDecode {
      int ver;
      int update;
      int min;
      int app;
      int stype;
      Date date;
      Date fdate;
      DateRange drange;
      Filename infile;
      Filename outfile;
      SfcFile sfile;
      SfcHash shash;
   
      public:
      SfcDecode();
      SfcDecode( const char *filename );
      int init();
      int setParam( const char *str );
      int setInput( const char *conv );
      int setOutput( const char *conv );
      int setHour( const char *str );
      int setDate( Date &rdate );
      int setFileDate( Date &rdate );
      bool checkSave( SfcData &data );
      int decode( Date &date );
      int decode( const char *filename );
      int decode();

      static const int METAR = 0x1; 
      static const int SPECI = 0x2; 
      static const int SA    = 0x4; 
      static const int SP    = 0x8; 
      static const int SYNOP = 0x10; 
      static const int SHIP  = 0x20; 
      static const int BUOY  = 0x40; 
      static const int DRIBU = 0x80; 
      static const int MOBIL = 0x100; 
      static const int CMAN  = 0x200; 
      static const int MISC  = 0x400; 
   };
}   
#endif
