#ifndef _WINC_SFCGRID
#define _WINC_SFCGRID

#include <WXP/Date.h>
#include <WXP/Domain.h>
#include <WXP/Filename.h>
#include <WXP/Grids.h>
#include <WXP/ObjectAnal.h>
#include <WXP/SfcRaw.h>
#include <WXP/String.h>

namespace WXP {
   class SfcGrid {
      ObjectAnal oa;
      SfcRaw sfc;
      int grid_scale;
   
      public:
      SfcGrid();
      SfcGrid( const char *param );
      int init();
      int setParam( const char *str );
      int setPath( const char *path );
      int setFile();
      int setInput( const char *str );
      int setNameConv( const char *name );
      int setHour( const char *str );
      int setFilename();
      int setFilename( Date &date );
      int setFilename( const char *str );
      int setFilename( Date &date, const char *param );
      int setVariable( const char *str );
      int getDate( Date &date );
      int setDomain( Domain &rdomain );
      inline int setGridScale( int scale ){ grid_scale = scale; return 1; };
      inline int setVarFile( const char *file ){ return sfc.setVarFile( file ); };
      inline int createHash(){ return sfc.createHash(); };
      inline int setPrior( Domain &domain ){ return sfc.setPrior( domain ); };
      inline int getInfo( SfcData &sfcdata, Datum &datum ){ return sfc.getInfo( sfcdata, datum ); };
      int compute( Grids &grid );
      int print();
   };
}
#endif
