#ifndef _WINC_SFCRAW
#define _WINC_SFCRAW

#include <WXP/CityHash.h>
#include <WXP/Date.h>
#include <WXP/Datum.h>
#include <WXP/Domain.h>
#include <WXP/Filename.h>
#include <WXP/Raw.h>
#include <WXP/SfcData.h>
#include <WXP/StatPrior.h>
#include <WXP/StrLib.h>
#include <WXP/String.h>

namespace WXP {
   class SfcRaw {
      Filename filename;
      String variable;
      String var_file;
      String city_file;
      char stat_prior[20];
      Domain domain;
      StatPrior prior;
      CityHash hash;
      int def_prior;
      int syn_id;
   
      public:
      SfcRaw();
      SfcRaw( const char *param );
      int init();
      int setParam( const char *str );
      int setPath( const char *path );
      int setFile();
      int setInput( const char *str );
      int setNameConv( const char *name );
      int setHour( const char *str );
      int setFilename();
      int setFilename( Date &date );
      int setFilename( const char *str );
      int setFilename( Date &date, const char *param );
      inline int setDefPrior( int rprior ){ def_prior = rprior; return 1; };
      inline int setStatPrior( const char *str ){ 
	 StrLib::copy( stat_prior, 20, str ); return 1; };
      int setVariable( const char *str );
      int getDate( Date &date );
      int setDomain( Domain &rdomain );
      int setVarFile( const char *file );
      inline int getDomain( Domain &rdomain ){ rdomain = domain; return 1; };
      int createHash();
      int setPrior( Domain &domain );
      int getInfo( SfcData &sfcdata, Datum &datum );
      int compute( Raw &data );
      int print();
   };
}
#endif
