#ifndef _WINC_SFCWMOFILE
#define _WINC_SFCWMOFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Filename.h>
#include <WXP/SfcWmoData.h>

namespace WXP {
   class SfcWmoFile {
      int type;
      int location;
      File file;
      Date date;
      bool opened;
      char wmo[21];
      char line[200];
      char id[10];
      char dtype[5];
      char yyggi[6];
      int ptype;
      int pday;
      int phour;
      int pmin;
   
      public:
      SfcWmoFile( );
      SfcWmoFile( const char *filename );
      ~SfcWmoFile( );
      int init();
      bool isOpen();
      int open( const char *filename );
      int open( Filename &filename );
      int rewind( );
      int close( );
      int setDate( Date &rdate );
      int getDate( Date &rdate );
      int checkHeader( const char *line );
      int checkStart( const char *line );
      int checkEnd( const char *line );
      int read( SfcWmoData &data );
   
      static int checkType( const char *filename );
      /*
         Data types
      */
      enum Type {
         UNK,
         WXP,
         LDM
      };

   };
}   
#endif
