#ifndef _WINC_SFCXMLFILE
#define _WINC_SFCXMLFILE

#include <libxml/encoding.h>
#include <libxml/xmlwriter.h>

#include <WXP/Date.h>
#include <WXP/SfcData.h>

namespace WXP {
   class SfcXmlFile {
      int type;
      int ver;
      int access;
      long pos;
      int cnt;
      int num;
      xmlTextWriterPtr writer;
      xmlDocPtr reader;
      xmlNodePtr node;
      Date date;
      bool opened;
   
      public:
      SfcXmlFile( );
      SfcXmlFile( const char *filename );
      SfcXmlFile( const char *filename, int access );
      SfcXmlFile( const char *filename, int access, int rtype );
      ~SfcXmlFile( );
      bool isOpen();
      int open( const char *filename, int access, int rtype );
      int rewind( );
      int close( );
      int setDate( Date &rdate );
      int getDate( Date &rdate );
      int read( SfcData &data );
      int write( SfcData &data );

      enum {
	 UNK,
	 NORM,
	 COMPRESS
      };
   
      static int checkType( const char *filename );
   };
}   
#endif
