#ifndef _WINC_SHAPEDATA
#define _WINC_SHAPEDATA

#include <WXP/EarthPoints.h>
#include <WXP/StrLib.h>

namespace WXP {
   class ShapeData {
      int index;
      char name[100];
      EarthRange range;
      EarthPoints pts;

      public:
      ShapeData();
      int init();
      int print();
      int printData();

      inline int setIndex( int val ){ index = val; return 1; };
      inline int getIndex(){ return index; };
      /** Get the name associated with the object */
      inline const char *getName(){ return name; };
      inline int setName( const char *rname ){ StrLib::copy( name, 100, rname ); return 1; };
      inline int clearPoints(){ return pts.clear(); };
      inline int addPoint( EarthPoint &ept ){ return pts.add( ept ); };
      inline int getNum(){ return pts.getNum(); };
      inline EarthPoint getPoint( int ind ){ return pts.get( ind ); };
      inline int setRange( EarthRange &r ){ range = r; return 1; };
      inline EarthRange getRange(){ return range; };

      friend class ShapeFile;
   };
}
#endif

