#ifndef _WINC_SOCKET
#define _WINC_SOCKET

namespace WXP {
   class Socket {
      int type;
      char host[50];
      int port;
      int fd;
      int sfd;
      unsigned char data[1000];
      int size;
      int ind;
      bool opened;
   
      public:
      Socket( );
      ~Socket( );
      int init();
      bool isOpen();
      int open( const char *address, int type );
      int close();
      int reconnect();
      int read( unsigned char *buf, int size );
      int readLine( unsigned char *buf, int size );
      int write( const unsigned char *buf, int size );
   
      /*
         Socket types
      */
      enum Type {
         UNK,
         DGRAM,
         DGRAM_SERVER,
         DGRAM_CLIENT,
         STREAM,
         STREAM_SERVER,
         STREAM_CLIENT
      };
   };
}   
#endif
