#ifndef _WINC_SPLINE
#define _WINC_SPLINE

#include <WXP/Point.h>
#include <WXP/Points.h>

namespace WXP {
   class Spline {
      int num;
      int type;
      float *x;
      float *y;
      float *d;
      float *coeffx;
      float *coeffy;
      int poly;
   
      int initResrc();
      float *createCoeffs( float *x, float *y );
      float interp( float z, float *coeffs, float *x, float *y );

      public:
      Spline();
      Spline( Points &pts, int rtype );
      int set( Points &pts, int rtype );
      ~Spline();
      float getValue( float z );
      int getPoint( float z, Point &pt );
      float getDist();
      float getDist( Point &pt );
      float getDist( int ind );

      enum Type { D1, D2 };
   };
}
#endif
