#ifndef _WINC_STORMATTR
#define _WINC_STORMATTR

#include <WXP/Const.h>

namespace WXP {
   struct StormAttr {
      int type;
      char id[4];      /** Storm ID */
      float ang;       /** Angle to storm */
      float rad;       /** Distance to storm */
      int tvs;         /** Tornado Vortex Signature */
      int meso;        /** Mesocyclone */
      int hail;        /** Hail */
      int shail;       /** Severe hail */
      float hsize;     /** Hail size */
      float vil;       /** Vertically Integrated Liquid */
      float max_dbz;   /** Max Dbz value of storm */
      float max_dbz_z; /** Max Dbz height */
      float vlow;      /** */
      float tops;      /** Storm top */
      float dir;       /** Storm movement direction */
      float spd;       /** Storm movement speed */
      float mw_vol;    /** */

      StormAttr();
      int init();
      int checkType( const char *str );
      int decode( const char *str );
      inline bool isValid(){ return ang != Const::MISS; };
      inline int getType(){ return type; };
      inline const char *getId(){ return id; };
      inline float getAng(){ return ang; };
      inline float getRad(){ return rad; };
      inline int getTvs(){ return tvs; };
      inline int getMeso(){ return meso; };
      inline int getHail(){ return hail; };
      inline int getSHail(){ return shail; };
      inline float getHSize(){ return hsize; };
      inline float getVil(){ return vil; };
      inline float getMaxDbz(){ return max_dbz; };
      inline float getMaxDbzZ(){ return max_dbz_z; };
      inline float getVLow(){ return vlow; };
      inline float getTops(){ return tops; };
      inline float getDir(){ return dir; };
      inline float getSpd(){ return spd; };
      inline float getMWVol(){ return mw_vol; };
      int print();
   };

}
#endif
