#ifndef _WINC_STRING
#define _WINC_STRING

namespace WXP {
   class String {
      int len;
      int maxlen;
      char *data;
      char *ptr;
   
      public:
      int init();
      int init( int length );
      String( int length );
      String();
      String( const char *str );
      String( const String &string );
      String operator=( const String &string );
      ~String();
      int set( const char *str );
      int set( const String &string );
      int reset();
      bool valid();
      bool isAlphaNum();
      const char *get();
      const char *get( int ind );
      char getChar( int ind );
      int length();
      int maxLength();
      int clear();
      int resize( int length );
      int resize();
      int rewind();
      /** Returns internal data pointer */
      inline const char *getPtr(){ return ptr; };
      int scanf( const char *mess, ... );
      int scanp( const char *mess, ... );
      int printf( const char *mess, ... );
      int aprintf( const char *mess, ... );
      int replace( char tar, char rep );
      int trimWS();
      int stripWS();
      int chop();
      int upCase();
      int lowCase();
      int index( char ch );
      bool equal( const char *str );
      bool equal( const char *str, int num );
      bool iequal( const char *str );
      bool iequal( const char *str, int num );
      bool contains( const char *str );
      int occurs( char ch );
      int copy( const char *str );
      int copy( String &str );
      int copy( const char *str, int num );
      int append( const char *str );
      int append( String &str );
      int append( const char *str, int num );
      int append( char str );
      int trunc( int ind );
      int print();
   };   
} 
#endif
