#ifndef _WINC_THERMDIAG
#define _WINC_THERMDIAG

#include <WXP/DomainVal.h>
#include <WXP/Plot.h>
#include <WXP/Rect.h>
#include <WXP/String.h>

namespace WXP {
   class ThermDiag {
      int type;
      String mixrat;
      Rect view;
      float tmin, tmax, tinc;
      float pmin, pmax, pinc;

      public:
      ThermDiag();
      int init();
      int setType( int rtype );
      int getType();
      int setView( Rect view );
      int setVertAxis( float rmin, float rmax, float rinc );
      int setHorAxis( float rmin, float rmax, float rinc );
      float pcoord( float p );
      float getX( float x );
      float getX( int ind );
      float getY( float y );

      enum Type { SKEWT, STUVE, EMA, TEPH, RTEPH, HODO };
   
      int draw( Plot &plot );

      static DomainVal getDomain( int type );
   };
}
#endif
