#ifndef _WINC_TIFFFILE
#define _WINC_TIFFFILE

#include <WXP/File.h>
#include <WXP/Image.h>
#include <WXP/Swap.h>

namespace WXP {
   class TiffFile {
      File file;              /* The file */
      int access;
      bool opened;
      int width;              /* Width of image */
      int height;             /* Height of image */
      int depth;              /* Depth of image */
      Swap swap;

      public:
      TiffFile();
      ~TiffFile();
      int init();
   
      TiffFile( const char *filename, int access );
      int open( const char *filename, int access );
      bool isOpen();
      int close();
      int read( Image &image );
      int write( Image &image );
   };
}      
#endif
