#ifndef _WINC_UPAFILE
#define _WINC_UPAFILE

#include <WXP/Date.h>
#include <WXP/String.h>
#include <WXP/UpaRawinData.h>
#include <WXP/UpaWxpFile.h>
      
namespace WXP {
   class UpaFile {
      int type;
      int ver;
      int access;
      UpaWxpFile wfile;
      Date date;
      bool opened;
      
      public:
      UpaFile( );
      UpaFile( const char *filename );
      UpaFile( const char *filename, int access, int type );
      ~UpaFile( );
   
      int open( const char *filename, int access, int type );
      int open( const char *filename );
      int getDate( Date &rdate );
      int setDate( Date &rdate );
      inline bool isOpen(){ return opened; };
      int rewind( );
      int close( );
      int read( UpaRawinData &data );
      int readId( String &rid );
      Date getDate();
      const char *getDatestr();
      int write( UpaRawinData &data );
   
      enum Type { 
	 UNK, 
	 WXP, 
	 NETCDF, 
	 UNISYS 
      };

      static int checkType( const char *filename );
      };
}   
#endif
   
