#ifndef _WINC_UPAGRID
#define _WINC_UPAGRID

#include <WXP/Date.h>
#include <WXP/Domain.h>
#include <WXP/Grids.h>
#include <WXP/ObjectAnal.h>
#include <WXP/UpaRaw.h>
#include <WXP/String.h>

namespace WXP {
   class UpaGrid {
      ObjectAnal oa;
      UpaRaw upa;
      int grid_scale;
   
      public:
      UpaGrid();
      UpaGrid( const char *param );
      int init();
      int setParam( const char *str );
      int setPath( const char *path );
      int setFile();
      int setInput( const char *str );
      int setNameConv( const char *name );
      int setHour( const char *str );
      int setFilename();
      int setFilename( Date &date );
      int setFilename( const char *str );
      int setFilename( Date &date, const char *param );
      int setVariable( const char *str );
      int setLevel( const char *str );
      int getDate( Date &date );
      int setDomain( Domain &rdomain );
      inline int setVarFile( const char *file ){ return upa.setVarFile( file ); };
      inline int createHash(){ return upa.createHash(); };
      inline int getInfo( UpaData &upadata, Datum &datum ){ return upa.getInfo( upadata, datum ); };
      int compute( Grids &grid );
      int print();
   };
}
#endif
