#ifndef _WINC_UPAWMODATA
#define _WINC_UPAWMODATA

#include <WXP/Date.h>
#include <WXP/StrLib.h>

namespace WXP {
   class UpaWmoData {
      char id[11];
      char data[1000];
      Date date;
      int type;
      char wmo[21];

      public:
      static const int max_data = 1000;

      UpaWmoData();
      int init();

      inline int setId( const char *rid ){ StrLib::copy( id, 11, rid ); return 1; }
      inline const char *getId(){ return id; }

      inline int setData( const char *rdata ){ 
	 StrLib::copy( data, max_data, rdata ); return 1; }
      inline const char *getData(){ return data; }

      inline int setDate( Date &rdate ){ date = rdate; return 1; }
      inline Date getDate(){ return date; }

      inline int setType( int rtype ){ type = rtype; return 1; }
      inline int getType(){ return type; }

      inline int setWmo( const char *rwmo ){ 
	 StrLib::copy( wmo, 21, rwmo ); return 1; }
      inline const char *getWmo(){ return wmo; }

      int print();

      friend class UpaWmoFile;
      friend class UpaTool;
      friend class UpaDecode;

      enum DataType {
	 NONE, 
	 TTAA,
	 TTBB,
	 TTCC,
	 TTDD,
	 PPAA,
	 PPBB,
	 PPCC,
	 PPDD,
	 UUAA,
	 UUBB,
	 UUCC,
	 UUDD,
	 IIAA,
	 IIBB,
	 IICC,
	 IIDD,
	 EEBB,
	 EEDD
      };
   };
}

#endif
