#ifndef _WINC_WARNDATA
#define _WINC_WARNDATA

#include <WXP/Date.h>
#include <WXP/EarthPoints.h>

namespace WXP {
   class WarnData {
      char id[15];	/**< Event Id */
      int type;		/**< Type of watch */
      int num;          /**< Event number */
      int status;
      Date sdate;
      Date edate;
      EarthPoints epts; /* Bounding box locations */

      /** Warning type */
      enum Type { 
	 UNK,      /**< Unknown type */
	 SEVERE,   /**< Severe thunderstorm warning */
	 TORNADO,  /**< Tornado warning */
	 FLOOD,    /**< Flood warning */
	 MARINE,   /**< Marine warning */
	 SPECIAL   /**< Special weather statement */
      }; 
      /** Status */
      enum Status { 
	 PENDING,   /**< Pending, before valid time */
	 VALID,     /**< Valid */
	 ENDED,     /**< Ended */
	 CANCELLED, /**< Cancelled */
	 REPLACED   /**< Replaced with another watch */
      }; 

      WarnData();
      int init();
      const char *getTypeStr();
      int print();

      friend class WarnFile;
      friend class WarnPlot;

   };
}
#endif   
