#ifndef _WINC_WARNFILE
#define _WINC_WARNFILE

#include <WXP/Date.h>
#include <WXP/Filename.h>
#include <WXP/WarnData.h>
#include <WXP/WmoParse.h>

namespace WXP {
   /*
      Product description information
   */
   class WarnFile { 
      WmoParse file;
      Date date;   // File date
      Date pdate;  // Product date
   
      public:
      WarnFile();
      WarnFile( const char *filename );
      WarnFile( Filename &filename );
      ~WarnFile();
      int init();
      int open( const char *filename );
      int open( Filename &filename );
      int close();
      bool isOpen();
      int setDate( Date &rdate );
      int read( WarnData &warn );
   };
}
#endif

