#ifndef _WINC_WATCHFILE
#define _WINC_WATCHFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Filename.h>
#include <WXP/WatchData.h>

namespace WXP {
   /*
      Product description information
   */
   class WatchFile { 
      File file;
      bool opened;
      Date date;   // File date
      Date pdate;  // Product date
   
      public:
      WatchFile();
      WatchFile( const char *filename );
      WatchFile( Filename &filename );
      ~WatchFile();
      int init();
      int open( const char *filename );
      int open( Filename &filename );
      int close();
      bool isOpen();
      int setDate( Date &rdate );
      int read( WatchData &watch );
   };
}
#endif

